USE [LDMS] -- Update this line to reflect your LDMS database name
GO

/****** Object:  View [dbo].[CustomGroupPath]    Script Date: 4/03/2016 10:53:37 AM ******/


IF EXISTS ( SELECT  *
            FROM    sys.objects
            WHERE   object_ID = OBJECT_ID(N'[dbo].[CustomGroupPath]')
                    AND type IN (N'V') ) 
    DROP VIEW [dbo].[CustomGroupPath] ;
GO



SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[CustomGroupPath] AS

WITH CTE AS
(
SELECT 
	c.CustomGroup_Idn
	, c.name
	, CAST(c.name AS NVARCHAR(2000)) "Path"
	, c.ParentCustomGroup_Idn
	, 0 "level"
FROM CustomGroup c

UNION ALL

SELECT 
	c.CustomGroup_Idn
	, c.name
	, CAST(CTE.PATH + '\\' + c.name AS NVARCHAR(2000)) "Path"
	, c.ParentCustomGroup_Idn
	, CTE.level + 1 "level"
FROM CustomGroup c
INNER JOIN CTE ON c.ParentCustomGroup_Idn = CTE.CustomGroup_Idn

)
SELECT c.* 
FROM CTE c
INNER JOIN (
	SELECT CustomGroup_Idn, max(level) level
	FROM CTE M
	GROUP BY CustomGroup_Idn) M on c.CustomGroup_Idn = m.CustomGroup_Idn and c.level = m.level


GO

